Package org.apache.ignite.spi.checkpoint.jdbc

## Interface JdbcCheckpointSpiMBean

- All Superinterfaces:
    `IgniteSpiManagementMBean`

      @MXBeanDescription("MBean that provides information about jdbc checkpoint SPI.")
      public interface JdbcCheckpointSpiMBean
      extends IgniteSpiManagementMBean

  Management bean that provides general administrative and configuration information about jdbc checkpoint SPI.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCheckpointTableName()` | Gets checkpoint table name.
    `String` | `getDataSourceInfo()` | Gets data source description.
    `String` | `getExpireDateFieldName()` | Gets expiration date field name for checkpoint table.
    `String` | `getExpireDateFieldType()` | Gets expiration date field type for checkpoint table.
    `String` | `getKeyFieldName()` | Gets key field name for checkpoint table.
    `String` | `getKeyFieldType()` | Gets key field type for checkpoint table.
    `int` | `getNumberOfRetries()` | Gets number of retries in case of DB failure.
    `String` | `getPwd()` | Gets checkpoint jdbc password.
    `String` | `getUser()` | Gets checkpoint jdbc user name.
    `String` | `getValueFieldName()` | Gets value field name for checkpoint table.
    `String` | `getValueFieldType()` | Gets value field type for checkpoint table.

    - ### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

      `getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

- - ### Method Detail

    - #### getNumberOfRetries

          @MXBeanDescription("Number of retries.")
          int getNumberOfRetries()

      Gets number of retries in case of DB failure.
      Returns:
        Number of retries.

    - #### getDataSourceInfo

          @MXBeanDescription("Data source description.")
          String getDataSourceInfo()

      Gets data source description.
      Returns:
        Description for data source.

    - #### getUser

          @MXBeanDescription("User name for checkpoint database.")
          String getUser()

      Gets checkpoint jdbc user name.
      Returns:
        User name for checkpoint jdbc.

    - #### getPwd

          @MXBeanDescription("Password for checkpoint database.")
          String getPwd()

      Gets checkpoint jdbc password.
      Returns:
        Password for checkpoint jdbc.

    - #### getCheckpointTableName

          @MXBeanDescription("Checkpoint table name.")
          String getCheckpointTableName()

      Gets checkpoint table name.
      Returns:
        Checkpoint table name.

    - #### getKeyFieldName

          @MXBeanDescription("Key field name for checkpoint table.")
          String getKeyFieldName()

      Gets key field name for checkpoint table.
      Returns:
        Key field name for checkpoint table.

    - #### getKeyFieldType

          @MXBeanDescription("Key field type for checkpoint table.")
          String getKeyFieldType()

      Gets key field type for checkpoint table.
      Returns:
        Key field type for checkpoint table.

    - #### getValueFieldName

          @MXBeanDescription("Value field name for checkpoint table.")
          String getValueFieldName()

      Gets value field name for checkpoint table.
      Returns:
        Value field name for checkpoint table.

    - #### getValueFieldType

          @MXBeanDescription("Value field type for checkpoint table.")
          String getValueFieldType()

      Gets value field type for checkpoint table.
      Returns:
        Value field type for checkpoint table.

    - #### getExpireDateFieldName

          @MXBeanDescription("Expiration date field name for checkpoint table.")
          String getExpireDateFieldName()

      Gets expiration date field name for checkpoint table.
      Returns:
        Create date field name for checkpoint table.

    - #### getExpireDateFieldType

          @MXBeanDescription("Expiration date field type for checkpoint table.")
          String getExpireDateFieldType()

      Gets expiration date field type for checkpoint table.
      Returns:
        Expiration date field type for checkpoint table.